Bug 1007407 - python3-ipython-notebook
python3-ipython-notebook
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python3 (Show other bugs)
19
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 08:32 EDT by Shishir
Modified: 2015-02-17 12:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:09:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shishir 2013-09-12 08:32:09 EDT
Description of problem: python3-ipython-notebook wont work if there is no internet connection. However once it is started and the internet connection is stopped, it works flawlessly.


Version-Release number of selected component (if applicable): 0.13.2


How reproducible:


Steps to Reproduce:
1.Ensure that internet (or any network connection) is disabled.
2.In the terminal enter ipython3 notebook --no-mathjax
or 
1. Now with internet connction enabled, enter ipython3 notebook --no-mathjax.
2. Once the notebook has started, disable the internet connection, this time it works without any problems.

Actual results:
 [NotebookApp] Using existing profile dir: '/home/shishir/.config/ipython/profile_default'
[NotebookApp] Serving notebooks from /home/shishir
Traceback (most recent call last):
  File "/usr/bin/ipython3", line 9, in <module>
    load_entry_point('ipython==0.13.2', 'console_scripts', 'ipython3')()
  File "/usr/lib/python3.3/site-packages/IPython/frontend/terminal/ipapp.py", line 388, in launch_new_instance
    app.initialize()
  File "<string>", line 2, in initialize
  File "/usr/lib/python3.3/site-packages/IPython/config/application.py", line 84, in catch_config_error
    return method(app, *args, **kwargs)
  File "/usr/lib/python3.3/site-packages/IPython/frontend/terminal/ipapp.py", line 313, in initialize
    super(TerminalIPythonApp, self).initialize(argv)
  File "<string>", line 2, in initialize
  File "/usr/lib/python3.3/site-packages/IPython/config/application.py", line 84, in catch_config_error
    return method(app, *args, **kwargs)
  File "/usr/lib/python3.3/site-packages/IPython/core/application.py", line 325, in initialize
    self.parse_command_line(argv)
  File "/usr/lib/python3.3/site-packages/IPython/frontend/terminal/ipapp.py", line 308, in parse_command_line
    return super(TerminalIPythonApp, self).parse_command_line(argv)
  File "<string>", line 2, in parse_command_line
  File "/usr/lib/python3.3/site-packages/IPython/config/application.py", line 84, in catch_config_error
    return method(app, *args, **kwargs)
  File "/usr/lib/python3.3/site-packages/IPython/config/application.py", line 420, in parse_command_line
    return self.initialize_subcommand(subc, subargv)
  File "<string>", line 2, in initialize_subcommand
  File "/usr/lib/python3.3/site-packages/IPython/config/application.py", line 84, in catch_config_error
    return method(app, *args, **kwargs)
  File "/usr/lib/python3.3/site-packages/IPython/config/application.py", line 359, in initialize_subcommand
    self.subapp.initialize(argv)
  File "<string>", line 2, in initialize
  File "/usr/lib/python3.3/site-packages/IPython/config/application.py", line 84, in catch_config_error
    return method(app, *args, **kwargs)
  File "/usr/lib/python3.3/site-packages/IPython/frontend/html/notebook/notebookapp.py", line 535, in initialize
    self.init_webapp()
  File "/usr/lib/python3.3/site-packages/IPython/frontend/html/notebook/notebookapp.py", line 453, in init_webapp
    self.http_server.listen(port, self.ip)
  File "/usr/lib/python3.3/site-packages/tornado/netutil.py", line 99, in listen
    sockets = bind_sockets(port, address=address)
  File "/usr/lib/python3.3/site-packages/tornado/netutil.py", line 247, in bind_sockets
    0, flags)):
socket.gaierror: [Errno -9] Address family for hostname not supported

If you suspect this is an IPython bug, please report it at:
    https://github.com/ipython/ipython/issues
or send an email to the mailing list at ipython-dev@scipy.org

You can print a more detailed traceback right now with "%tb", or use "%debug"
to interactively debug it.

Extra-detailed tracebacks for bug-reporting purposes can be enabled via:
    c.Application.verbose_crash=True



Expected results:ipython-notebook must start in the web-browser.


Additional info:
Comment 1 Fedora End Of Life 2015-01-09 14:49:03 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 12:09:41 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.